type Mutation {
  createUpdateAvatar(id: ID, description: String, codeSexe: Sexe, fichier: FichierInput): Avatar
  deleteAvatars(ids: [ID!]!): [Avatar]
}

type Query {
  avatar(id: ID!): Avatar
  avatars: [Avatar]
  groupementAvatars(idGroupement: ID): [Avatar]
}

type Avatar implements Searchable {
  type: String!
  id: ID!
  description: String
  codeSexe: Sexe
  fichier: Fichier
  userCreation: User
  dateCreation: DateTime
  userModification: User
  dateModification: DateTime
  idGroupement: ID
}
